[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnHyperlinkClicked

Updates the value in URL and signals the OnHyperlinkClicked event handler (when assigned).

## Declaration

Source position: dialogs.pp line 801

`protected procedure TCustomTaskDialog.DoOnHyperlinkClicked(`
`const AURL: string`
`); dynamic;`

## Arguments

`AURL` |  | New value for the URL property, and the target for the hyperlink.

## Description

Called from the widgetset class instance when a hyperlink in Text, ExpandedText, or FooterText is clicked. Use Flags to enable hyperlinks in the text areas by including tfEnableHyperlinks in the property.

Use OnHyperlinkClicked to perform actions needed to handle the URL in the hyperlink.

## Version info

Added in LCL version 4.0.

## See also

TCustomTaskDialog.URL |  | Universal Resource Locator (or identifier) for a hyperlink clicked on the task dialog.
TCustomTaskDialog.OnHyperlinkClicked |  | Event handler signalled when a hyperlink in one of the text areas has been clicked.